## List Hostname Associations `client.certificateAuthorities.hostnameAssociations.get(HostnameAssociationGetParamsparams, RequestOptionsoptions?): HostnameAssociationGetResponse` **get** `/zones/{zone_id}/certificate_authorities/hostname_associations` List Hostname Associations ### Parameters - `params: HostnameAssociationGetParams` - `zone_id: string` Path param: Identifier. - `mtls_certificate_id?: string` Query param: The UUID to match against for a certificate that was uploaded to the mTLS Certificate Management endpoint. If no mtls_certificate_id is given, the results will be the hostnames associated to your active Cloudflare Managed CA. ### Returns - `HostnameAssociationGetResponse` - `hostnames?: Array` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const hostnameAssociation = await client.certificateAuthorities.hostnameAssociations.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(hostnameAssociation.hostnames); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "hostnames": [ "api.example.com" ] } } ```